package com.yuchen.saas.park.service.service.repair;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yuchen.saas.park.api.dto.repair.*;
import com.yuchen.saas.park.api.entity.repair.SaasComplainSuggest;
import com.yuchen.saas.park.api.vo.repair.SaasComplainSuggestVo;
import org.nest.springwrap.core.mp.support.NestPage;

/**
 * <p>
 * 投诉建议表 服务类
 * </p>
 *
 * @author caiwq
 * @since 2024-04-26
 */
public interface ISaasComplainSuggestService extends IService<SaasComplainSuggest> {
    Boolean add(SaasComplainSuggestDto complainSuggestDto);
    Boolean handle(SaasComplainSuggestHandleDto handleDto);
    Boolean remove(Long id);
    Boolean cancle(SaasComplainSuggestCancleDto cancleDto);
    Boolean evaluate(SaasComplainSuggestEvaluateDto evaluateDto);
    SaasComplainSuggestVo getDetail(Long id);
    NestPage<SaasComplainSuggestVo> list(SaasComplainSuggestQueryDto queryDto);
}
